<!doctype html>
<html>
    <head>
        <meta charset="utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Image Hub</title>
        <script type="text/javascript" src="/scripts/jquery-3.3.1.min.js"></script>
        <script type="text/javascript" src="/scripts/jquery-ui.min.js"></script>
        <script type="text/javascript" src="/scripts/bootstrap.min.js"></script>
        <script type="text/javascript" src="/scripts/bootstrap-tagsinput.js"></script>
        <script type="text/javascript" src="/scripts/script.js"></script>
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ" crossorigin="anonymous">
        <link rel="stylesheet" href="/styles/jquery-ui.min.css"/>
        <link rel="stylesheet" href="/styles/bootstrap.min.css"/>
        <link rel="stylesheet" href="/styles/bootstrap-tagsinput.css"/>
        <link rel="stylesheet" href="/styles/styles.css"/>
    </head>
    <body>
        <header class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <h1 id="page-title">Image Hub</h1>
                </div>
                <div class="col-12">
                    <nav>
                        <ul>
                            <li><a href="/">Home</a></li>
                            <li><a href="/statistics">Statistics</a></li>
                            <li><a href="/create-post">Create new post</a></li>
                            <li><a href="/auto-create-posts">Auto-Create posts</a></li>
                        </ul>
                    </nav> 
                </div>
            </div>
        </header>
        <main id="main-content">
            <%- defineContent("main-content") %>

            <!-- confirm delete post modal -->
            <div class="modal fade" id="confirm-delete-post" tabindex="-1" role="dialog" aria-labelledby="cdp-modal-label" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="cdp-modal-label">Delete post?</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        Do you really want to delete this post? All post data will be lost permanently. This cannot be undone.
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        <a href="" id="confirm-delete" class="btn btn-primary btn-accent-main">Delete</a>
                    </div>
                    </div>
                </div>
            </div>
        </main>
        <footer>
        </footer>
    </body>
</html>